(ns blog.helpers
  (:require ["date-fns" :refer [format]]))

(defn truncatestring-factory
  []
  (fn [text limit]
    (-> (. text substring 0 limit)
        (str  "..."))))

(defn full-timestamp-factory
  []
  (clj->js
   (fn [timestamp]
     (format timestamp "HH:mm MMM. do, yyyy"))))

(defn is-brief-factory
  []
  (clj->js
   (fn [length]
     (if (> length 60)
       "..."
       ""))))

